scala.util.matching.Regex

# MatchIterator

###
Related Doc: package Regex

#### class MatchIterator extends AbstractIterator[String] with Iterator[String] with MatchData

A class to step through a sequence of regex matches.

All methods inherited from scala.util.matching.Regex.MatchData will throw a java.lang.IllegalStateException until the matcher is initialized. The matcher can be initialized by calling `hasNext` or `next()` or causing these methods to be called, such as by invoking `toString` or iterating through the iterator's elements.

Self Type
  MatchIterator
Source
  Regex.scala
See also

  java.util.regex.Matcher

Linear Supertypes
MatchData, AbstractIterator[String], collection.Iterator[String], collection.TraversableOnce[String], GenTraversableOnce[String], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MatchIterator
2. MatchData
3. AbstractIterator
4. Iterator
5. TraversableOnce
6. GenTraversableOnce
7. AnyRef
8. Any

Implicitly

1. by MonadOps
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc
6. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MatchIterator(source: CharSequence, regex: Regex, groupNames: Seq[String])

### Type Members

1. #### class GroupedIterator[B >: A] extends AbstractIterator[Seq[B]] with Iterator[Seq[B]]

   A flexible iterator for transforming an `Iterator[A]` into an Iterator[Seq[A]], with configurable sequence size, step, and strategy for dealing with elements which don't fit evenly.

   A flexible iterator for transforming an `Iterator[A]` into an Iterator[Seq[A]], with configurable sequence size, step, and strategy for dealing with elements which don't fit evenly.

   Typical uses can be achieved via methods `grouped` and `sliding`.

   Definition Classes
     Iterator

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MatchIterator to any2stringadd[MatchIterator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ++(that: ⇒ collection.Iterator[String]): collection.Iterator[String]

   [use case] Concatenates this iterator with another.

   [use case]

   Concatenates this iterator with another.

   that

     the other iterator

   returns

     a new iterator that first yields the values produced by this iterator followed by the values produced by iterator `that`.

   Definition Classes
     Iterator
   Full Signature

   #### def ++[B >: String](that: ⇒ GenTraversableOnce[B]): collection.Iterator[B]

5. #### def ->[B](y: B): (MatchIterator, B)

   Implicit information
     This member is added by an implicit conversion from MatchIterator to ArrowAssoc[MatchIterator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### def /:[B](z: B)(op: (B, String) ⇒ B): B

   Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

   Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = List(1,2,3,4)
       a: List[Int] = List(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this traversable or iterator.

   Definition Classes
     TraversableOnce → GenTraversableOnce

7. #### def :\[B](z: B)(op: (String, B) ⇒ B): B

   Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

   Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = List(1,2,3,4)
       a: List[Int] = List(1, 2, 3, 4)

       scala> val b = (a :\ 5)(_+_)
       b: Int = 15

       scala> val c = (a :\ 5)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left with the start value `z` on the right:

         op(x_1, op(x_2, ... op(x_n, z)...))

     where `x1, ..., xn` are the elements of this traversable or iterator.

   Definition Classes
     TraversableOnce → GenTraversableOnce

8. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

9. #### def addString(b: StringBuilder): StringBuilder

   Appends all elements of this traversable or iterator to a string builder.

   Appends all elements of this traversable or iterator to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator without any separator string.

   Example:

       scala> val a = List(1,2,3,4)
       a: List[Int] = List(1, 2, 3, 4)

       scala> val b = new StringBuilder()
       b: StringBuilder =

       scala> val h = a.addString(b)
       h: StringBuilder = 1234

   b

     the string builder to which elements are appended.

   returns

     the string builder `b` to which elements were appended.

   Definition Classes
     TraversableOnce

10. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this traversable or iterator to a string builder using a separator string.

    Appends all elements of this traversable or iterator to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

11. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings.

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

12. #### def after(i: Int): CharSequence

    The char sequence after last character of match in group `i`, or `null` if nothing was matched for that group.

    The char sequence after last character of match in group `i`, or `null` if nothing was matched for that group.

    Definition Classes
      MatchData

13. #### def after: CharSequence

    Returns char sequence after last character of match, or `null` if nothing was matched.

    Returns char sequence after last character of match, or `null` if nothing was matched.

    Definition Classes
      MatchData

14. #### def aggregate[B](z: ⇒ B)(seqop: (B, String) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation) and may be evaluated more than once

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

15. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

16. #### def before(i: Int): CharSequence

    The char sequence before first character of match in group `i`, or `null` if nothing was matched for that group.

    The char sequence before first character of match in group `i`, or `null` if nothing was matched for that group.

    Definition Classes
      MatchData

17. #### def before: CharSequence

    The char sequence before first character of match, or `null` if nothing was matched.

    The char sequence before first character of match, or `null` if nothing was matched.

    Definition Classes
      MatchData

18. #### def buffered: collection.BufferedIterator[String]

    Creates a buffered iterator from this iterator.

    Creates a buffered iterator from this iterator.

    returns

      a buffered iterator producing the same values as this iterator.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

    See also

      scala.collection.BufferedIterator

19. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

20. #### def collect[B](pf: PartialFunction[String, B]): collection.Iterator[B]

    Creates an iterator by transforming values produced by this iterator with a partial function, dropping those values for which the partial function is not defined.

    Creates an iterator by transforming values produced by this iterator with a partial function, dropping those values for which the partial function is not defined.

    pf

      the partial function which filters and maps the iterator.

    returns

      a new iterator which yields each value `x` produced by this iterator for which `pf` is defined the image `pf(x)`.

    Definition Classes
      Iterator
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `collect` has changed. The previous behavior can be reproduced with `toSeq`.

    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

21. #### def collectFirst[B](pf: PartialFunction[String, B]): Option[B]

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

22. #### def contains(elem: Any): Boolean

    Tests whether this iterator contains a given value as an element.

    Tests whether this iterator contains a given value as an element.

    Note: may not terminate for infinite iterators.

    elem

      the element to test.

    returns

      `true` if this iterator produces some value that is is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

23. #### def copyToArray(xs: Array[String], start: Int, len: Int): Unit

    [use case] Copies selected values produced by this iterator to an array.

    [use case]

    Copies selected values produced by this iterator to an array. Fills the given array `xs` starting at index `start` with at most `len` values produced by this iterator. Copying will stop once either the end of the current iterator is reached, or the end of the array is reached, or `len` elements have been copied.

    Note: will not terminate for infinite iterators.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: String](xs: Array[B], start: Int, len: Int): Unit

24. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this traversable or iterator to an array.

    [use case]

    Copies values of this traversable or iterator to an array. Fills the given array `xs` with values of this traversable or iterator. Copying will stop once either the end of the current traversable or iterator is reached, or the end of the array is reached.

    Note: will not terminate for infinite iterators.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: String](xs: Array[B]): Unit

25. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this traversable or iterator to an array.

    [use case]

    Copies values of this traversable or iterator to an array. Fills the given array `xs` with values of this traversable or iterator, beginning at index `start`. Copying will stop once either the end of the current traversable or iterator is reached, or the end of the array is reached.

    Note: will not terminate for infinite iterators.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: String](xs: Array[B], start: Int): Unit

26. #### def copyToBuffer[B >: String](dest: Buffer[B]): Unit

    Copies all elements of this traversable or iterator to a buffer.

    Copies all elements of this traversable or iterator to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

27. #### def corresponds[B](that: GenTraversableOnce[B])(p: (String, B) ⇒ Boolean): Boolean

    Tests whether every element of this iterator relates to the corresponding element of another collection by satisfying a test predicate.

    Tests whether every element of this iterator relates to the corresponding element of another collection by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other collection

    p

      the test predicate, which relates elements from both collections

    returns

      `true` if both collections have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this iterator and `y` of `that`, otherwise `false`

    Definition Classes
      Iterator

28. #### def count(p: (String) ⇒ Boolean): Int

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

29. #### def drop(n: Int): collection.Iterator[String]

    Advances this iterator past the first n elements, or the length of the iterator, whichever is smaller.

    Advances this iterator past the first n elements, or the length of the iterator, whichever is smaller.

    n

      the number of elements to drop

    returns

      an iterator which produces all values of the current iterator, except it omits the first `n` values.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

30. #### def dropWhile(p: (String) ⇒ Boolean): collection.Iterator[String]

    Skips longest sequence of elements of this iterator which satisfy given predicate `p`, and returns an iterator of the remaining elements.

    Skips longest sequence of elements of this iterator which satisfy given predicate `p`, and returns an iterator of the remaining elements.

    p

      the predicate used to skip elements.

    returns

      an iterator consisting of the remaining elements

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

31. #### def duplicate: (collection.Iterator[String], collection.Iterator[String])

    Creates two new iterators that both iterate over the same elements as this iterator (in the same order).

    Creates two new iterators that both iterate over the same elements as this iterator (in the same order). The duplicate iterators are considered equal if they are positioned at the same element.

    Given that most methods on iterators will make the original iterator unfit for further use, this methods provides a reliable way of calling multiple such methods on an iterator.

    returns

      a pair of iterators

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

      ,

      The implementation may allocate temporary storage for elements iterated by one iterator but not yet by the other.

32. #### def end(i: Int): Int

    The index following the last matched character in group `i`.

    The index following the last matched character in group `i`.

    Definition Classes
      MatchIterator → MatchData

33. #### def end: Int

    The index of the last matched character.

    The index of the last matched character.

    Definition Classes
      MatchIterator → MatchData

34. #### def ensuring(cond: (MatchIterator) ⇒ Boolean, msg: ⇒ Any): MatchIterator

    Implicit information
      This member is added by an implicit conversion from MatchIterator to Ensuring[MatchIterator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

35. #### def ensuring(cond: (MatchIterator) ⇒ Boolean): MatchIterator

    Implicit information
      This member is added by an implicit conversion from MatchIterator to Ensuring[MatchIterator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

36. #### def ensuring(cond: Boolean, msg: ⇒ Any): MatchIterator

    Implicit information
      This member is added by an implicit conversion from MatchIterator to Ensuring[MatchIterator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

37. #### def ensuring(cond: Boolean): MatchIterator

    Implicit information
      This member is added by an implicit conversion from MatchIterator to Ensuring[MatchIterator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

38. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

40. #### def exists(p: (String) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the values produced by this iterator.

    Tests whether a predicate holds for some of the values produced by this iterator.

    Note: may not terminate for infinite iterators.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the values produced by this iterator, otherwise `false`.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

41. #### def filter(p: (String) ⇒ Boolean): collection.Iterator[String]

    Returns an iterator over all the elements of this iterator that satisfy the predicate `p`.

    Returns an iterator over all the elements of this iterator that satisfy the predicate `p`. The order of the elements is preserved.

    p

      the predicate used to test values.

    returns

      an iterator which produces those values of this iterator which satisfy the predicate `p`.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

42. #### def filterNot(p: (String) ⇒ Boolean): collection.Iterator[String]

    Creates an iterator over all the elements of this iterator which do not satisfy a predicate p.

    Creates an iterator over all the elements of this iterator which do not satisfy a predicate p.

    p

      the predicate used to test values.

    returns

      an iterator which produces those values of this iterator which do not satisfy the predicate `p`.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

43. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

44. #### def find(p: (String) ⇒ Boolean): Option[String]

    Finds the first value produced by the iterator satisfying a predicate, if any.

    Finds the first value produced by the iterator satisfying a predicate, if any.

    Note: may not terminate for infinite iterators.

    p

      the predicate used to test values.

    returns

      an option value containing the first value produced by the iterator that satisfies predicate `p`, or `None` if none exists.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

45. #### def flatMap[B](f: (String) ⇒ GenTraversableOnce[B]): collection.Iterator[B]

    Creates a new iterator by applying a function to all values produced by this iterator and concatenating the results.

    Creates a new iterator by applying a function to all values produced by this iterator and concatenating the results.

    f

      the function to apply on each element.

    returns

      the iterator resulting from applying the given iterator-valued function `f` to each value produced by this iterator and concatenating the results.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

46. #### def fold[A1 >: String](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

47. #### def foldLeft[B](z: B)(op: (B, String) ⇒ B): B

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce

48. #### def foldRight[B](z: B)(op: (String, B) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce

49. #### def forall(p: (String) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all values produced by this iterator.

    Tests whether a predicate holds for all values produced by this iterator.

    Note: may not terminate for infinite iterators.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all values produced by this iterator, otherwise `false`.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

50. #### def foreach(f: (String) ⇒ Unit): Unit

    [use case] Applies a function `f` to all values produced by this iterator.

    [use case]

    Applies a function `f` to all values produced by this iterator.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def foreach[U](f: (String) ⇒ U): Unit

51. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from MatchIterator to StringFormat[MatchIterator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

52. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

53. #### def group(id: String): String

    Returns the group with given name.

    Returns the group with given name.

    id

      The group name

    returns

      The requested group

    Definition Classes
      MatchData
    Exceptions thrown

      `NoSuchElementException` if the requested group name is not defined

54. #### def group(i: Int): String

    The matched string in group `i`, or `null` if nothing was matched.

    The matched string in group `i`, or `null` if nothing was matched.

    Definition Classes
      MatchData

55. #### def groupCount: Int

    The number of subgroups.

    The number of subgroups.

    Definition Classes
      MatchIterator → MatchData

56. #### val groupNames: Seq[String]

    The names of the groups, or an empty sequence if none defined

    The names of the groups, or an empty sequence if none defined

    Definition Classes
      MatchIterator → MatchData

57. #### def grouped[B >: String](size: Int): GroupedIterator[B]

    Returns an iterator which groups this iterator into fixed size blocks.

    Returns an iterator which groups this iterator into fixed size blocks. Example usages:

        // Returns List(List(1, 2, 3), List(4, 5, 6), List(7)))
        (1 to 7).iterator grouped 3 toList
        // Returns List(List(1, 2, 3), List(4, 5, 6))
        (1 to 7).iterator grouped 3 withPartial false toList
        // Returns List(List(1, 2, 3), List(4, 5, 6), List(7, 20, 25)
        // Illustrating that withPadding's argument is by-name.
        val it2 = Iterator.iterate(20)(_ + 5)
        (1 to 7).iterator grouped 3 withPadding it2.next toList

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

58. #### def hasDefiniteSize: Boolean

    Tests whether this Iterator has a known size.

    Tests whether this Iterator has a known size.

    returns

      `true` for empty Iterators, `false` otherwise.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

59. #### def hasNext: Boolean

    Is there another match?

    Is there another match?

    returns

      `true` if a subsequent call to `next` will yield an element, `false` otherwise.

    Definition Classes
      MatchIterator → Iterator

60. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

61. #### def indexOf[B >: String](elem: B): Int

    Returns the index of the first occurrence of the specified object in this iterable object.

    Returns the index of the first occurrence of the specified object in this iterable object.

    Note: may not terminate for infinite iterators.

    elem

      element to search for.

    returns

      the index of the first occurrence of `elem` in the values produced by this iterator, or -1 if such an element does not exist until the end of the iterator is reached.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

62. #### def indexWhere(p: (String) ⇒ Boolean): Int

    Returns the index of the first produced value satisfying a predicate, or -1.

    Returns the index of the first produced value satisfying a predicate, or -1.

    Note: may not terminate for infinite iterators.

    p

      the predicate to test values

    returns

      the index of the first produced value satisfying `p`, or -1 if such an element does not exist until the end of the iterator is reached.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

63. #### def isEmpty: Boolean

    Tests whether this iterator is empty.

    Tests whether this iterator is empty.

    returns

      `true` if hasNext is false, `false` otherwise.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

64. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

65. #### def isTraversableAgain: Boolean

    Tests whether this Iterator can be repeatedly traversed.

    Tests whether this Iterator can be repeatedly traversed.

    returns

      `false`

    Definition Classes
      Iterator → GenTraversableOnce
    Note

      Reuse: The iterator remains valid for further use whatever result is returned.

66. #### def length: Int

    Returns the number of elements in this iterator.

    Returns the number of elements in this iterator.

    Note: will not terminate for infinite iterators.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on. Using it is undefined and subject to change.

67. #### def map[B](f: (String) ⇒ B): collection.Iterator[B]

    Creates a new iterator that maps all produced values of this iterator to new values using a transformation function.

    Creates a new iterator that maps all produced values of this iterator to new values using a transformation function.

    f

      the transformation function

    returns

      a new iterator which transforms every value produced by this iterator by applying the function `f` to it.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

68. #### def matchData: Iterator[Match]

    Convert to an iterator that yields MatchData elements instead of Strings.

69. #### def matched: String

    The matched string, or `null` if nothing was matched.

    The matched string, or `null` if nothing was matched.

    Definition Classes
      MatchData

70. #### val matcher: Matcher

    Attributes
      protected[scala.util.matching.Regex]

71. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: String](implicit cmp: Ordering[B]): String

72. #### def maxBy[B](f: (A) ⇒ B): A

    [use case] Finds the first element which yields the largest value measured by function f.

    [use case]

    Finds the first element which yields the largest value measured by function f.

    B

      The result type of the function f.

    f

      The measuring function.

    returns

      the first element of this traversable or iterator with the largest value measured by function f.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def maxBy[B](f: (String) ⇒ B)(implicit cmp: Ordering[B]): String

73. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this traversable or iterator

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def min[B >: String](implicit cmp: Ordering[B]): String

74. #### def minBy[B](f: (A) ⇒ B): A

    [use case] Finds the first element which yields the smallest value measured by function f.

    [use case]

    Finds the first element which yields the smallest value measured by function f.

    B

      The result type of the function f.

    f

      The measuring function.

    returns

      the first element of this traversable or iterator with the smallest value measured by function f.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def minBy[B](f: (String) ⇒ B)(implicit cmp: Ordering[B]): String

75. #### def mkString: String

    Displays all elements of this traversable or iterator in a string.

    Displays all elements of this traversable or iterator in a string.

    returns

      a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator follow each other without any separator string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

76. #### def mkString(sep: String): String

    Displays all elements of this traversable or iterator in a string using a separator string.

    Displays all elements of this traversable or iterator in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

77. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

    Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this traversable or iterator. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

78. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

79. #### def next(): String

    The next matched substring of `source`.

    The next matched substring of `source`.

    returns

      the next element of this iterator, if `hasNext` is `true`, undefined behavior otherwise.

    Definition Classes
      MatchIterator → Iterator

80. #### def nonEmpty: Boolean

    Tests whether the traversable or iterator is not empty.

    Tests whether the traversable or iterator is not empty.

    returns

      `true` if the traversable or iterator contains at least one element, `false` otherwise.

    Definition Classes
      TraversableOnce → GenTraversableOnce

81. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

82. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

83. #### def padTo(len: Int, elem: String): collection.Iterator[String]

    [use case] Appends an element value to this iterator until a given target length is reached.

    [use case]

    Appends an element value to this iterator until a given target length is reached.

    len

      the target length

    elem

      the padding value

    returns

      a new iterator consisting of producing all values of this iterator, followed by the minimal number of occurrences of `elem` so that the number of produced values is at least `len`.

    Definition Classes
      Iterator
    Full Signature

    #### def padTo[A1 >: String](len: Int, elem: A1): collection.Iterator[A1]

84. #### def partition(p: (String) ⇒ Boolean): (collection.Iterator[String], collection.Iterator[String])

    Partitions this iterator in two iterators according to a predicate.

    Partitions this iterator in two iterators according to a predicate.

    p

      the predicate on which to partition

    returns

      a pair of iterators: the iterator that satisfies the predicate `p` and the iterator that does not. The relative order of the elements in the resulting iterators is the same as in the original iterator.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

85. #### def patch[B >: String](from: Int, patchElems: collection.Iterator[B], replaced: Int): collection.Iterator[B]

    Returns this iterator with patched values.

    Returns this iterator with patched values. Patching at negative indices is the same as patching starting at 0. Patching at indices at or larger than the length of the original iterator appends the patch to the end. If more values are replaced than actually exist, the excess is ignored.

    from

      The start index from which to patch

    patchElems

      The iterator of patch values

    replaced

      The number of values in the original iterator that are replaced by the patch.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, as well as the one passed as a parameter, and use only the iterator that was returned. Using the old iterators is undefined, subject to change, and may result in changes to the new iterator as well.

86. #### def product: A

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this traversable or iterator of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the traversable or iterator and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def product[B >: String](implicit num: Numeric[B]): B

87. #### def reduce[A1 >: String](op: (A1, A1) ⇒ A1): A1

    Reduces the elements of this traversable or iterator using the specified associative binary operator.

    Reduces the elements of this traversable or iterator using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the traversable or iterator is nonempty.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Exceptions thrown

      `UnsupportedOperationException` if this traversable or iterator is empty.

88. #### def reduceLeft[B >: String](op: (B, String) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator, going left to right.

    Applies a binary operator to all elements of this traversable or iterator, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right:

          op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce
    Exceptions thrown

      `UnsupportedOperationException` if this traversable or iterator is empty.

89. #### def reduceLeftOption[B >: String](op: (B, String) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

    Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceLeft(op)` is this traversable or iterator is nonempty, `None` otherwise.

    Definition Classes
      TraversableOnce → GenTraversableOnce

90. #### def reduceOption[A1 >: String](op: (A1, A1) ⇒ A1): Option[A1]

    Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

    Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

    Definition Classes
      TraversableOnce → GenTraversableOnce

91. #### def reduceRight[B >: String](op: (String, B) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator, going right to left.

    Applies a binary operator to all elements of this traversable or iterator, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left:

          op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Exceptions thrown

      `UnsupportedOperationException` if this traversable or iterator is empty.

92. #### def reduceRightOption[B >: String](op: (String, B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

    Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceRight(op)` is this traversable or iterator is nonempty, `None` otherwise.

    Definition Classes
      TraversableOnce → GenTraversableOnce

93. #### val regex: Regex

94. #### def reversed: List[String]

    Attributes
      protected[this]
    Definition Classes
      TraversableOnce

95. #### def sameElements(that: collection.Iterator[_]): Boolean

    Tests if another iterator produces the same values as this one.

    Tests if another iterator produces the same values as this one.

    Note: will not terminate for infinite iterators.

    that

      the other iterator

    returns

      `true`, if both iterators produce the same elements in the same order, `false` otherwise.

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, as well as the one passed as parameter. Using the old iterators is undefined and subject to change.

96. #### def scanLeft[B](z: B)(op: (B, String) ⇒ B): collection.Iterator[B]

    Produces a collection containing cumulative results of applying the operator going left to right.

    Produces a collection containing cumulative results of applying the operator going left to right.

    Note: will not terminate for infinite iterators.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the elements in the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    returns

      iterator with intermediate results

    Definition Classes
      Iterator
    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

97. #### def scanRight[B](z: B)(op: (String, B) ⇒ B): collection.Iterator[B]

    Produces a collection containing cumulative results of applying the operator going right to left.

    Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

    Note: will not terminate for infinite iterators.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the elements in the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    returns

      iterator with intermediate results

    Definition Classes
      Iterator
    Example:

    1.     Iterator(1, 2, 3, 4).scanRight(0)(_ + _).toList == List(10, 9, 7, 4, 0)

    Note

      Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

98. #### def seq: collection.Iterator[String]

    A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

    A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

    This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

    returns

      a sequential view of the collection.

    Definition Classes
      Iterator → TraversableOnce → GenTraversableOnce

99. #### def size: Int

    The size of this traversable or iterator.

    The size of this traversable or iterator.

    Note: will not terminate for infinite-sized collections.

    returns

      the number of elements in this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce

100. #### def slice(from: Int, until: Int): collection.Iterator[String]

     Creates an iterator returning an interval of the values produced by this iterator.

     Creates an iterator returning an interval of the values produced by this iterator.

     from

       the index of the first element in this iterator which forms part of the slice.

     until

       the index of the first element following the slice.

     returns

       an iterator which advances this iterator past the first `from` elements using `drop`, and then takes `until - from` elements, using `take`.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

101. #### def sliding[B >: String](size: Int, step: Int = 1): GroupedIterator[B]

     Returns an iterator which presents a "sliding window" view of another iterator.

     Returns an iterator which presents a "sliding window" view of another iterator. The first argument is the window size, and the second is how far to advance the window on each iteration; defaults to `1`. Example usages:

         // Returns List(List(1, 2, 3), List(2, 3, 4), List(3, 4, 5))
         (1 to 5).iterator.sliding(3).toList
         // Returns List(List(1, 2, 3, 4), List(4, 5))
         (1 to 5).iterator.sliding(4, 3).toList
         // Returns List(List(1, 2, 3, 4))
         (1 to 5).iterator.sliding(4, 3).withPartial(false).toList
         // Returns List(List(1, 2, 3, 4), List(4, 5, 20, 25))
         // Illustrating that withPadding's argument is by-name.
         val it2 = Iterator.iterate(20)(_ + 5)
         (1 to 5).iterator.sliding(4, 3).withPadding(it2.next).toList

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

102. #### val source: CharSequence

     The source from which the match originated

     The source from which the match originated

     Definition Classes
       MatchIterator → MatchData

103. #### def span(p: (String) ⇒ Boolean): (collection.Iterator[String], collection.Iterator[String])

     Splits this Iterator into a prefix/suffix pair according to a predicate.

     Splits this Iterator into a prefix/suffix pair according to a predicate.

     p

       the test predicate

     returns

       a pair of Iterators consisting of the longest prefix of this whose elements all satisfy `p`, and the rest of the Iterator.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterators that were returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterators as well.

104. #### def start(i: Int): Int

     The index of the first matched character in group `i`.

     The index of the first matched character in group `i`.

     Definition Classes
       MatchIterator → MatchData

105. #### def start: Int

     The index of the first matched character.

     The index of the first matched character.

     Definition Classes
       MatchIterator → MatchData

106. #### def subgroups: List[String]

     All capturing groups, i.e., not including group(0).

     All capturing groups, i.e., not including group(0).

     Definition Classes
       MatchData

107. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this traversable or iterator of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the traversable or iterator and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: String](implicit num: Numeric[B]): B

108. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

109. #### def take(n: Int): collection.Iterator[String]

     Selects first n values of this iterator.

     Selects first n values of this iterator.

     n

       the number of values to take

     returns

       an iterator producing only of the first `n` values of this iterator, or else the whole iterator, if it produces fewer than `n` values.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

110. #### def takeWhile(p: (String) ⇒ Boolean): collection.Iterator[String]

     Takes longest prefix of values produced by this iterator that satisfy a predicate.

     Takes longest prefix of values produced by this iterator that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       An iterator returning the values produced by this iterator, until this iterator produces a value that does not satisfy the predicate `p`.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

111. #### def to[Col[_]]: Col[A]

     [use case] Converts this traversable or iterator into another by copying all elements.

     [use case]

     Converts this traversable or iterator into another by copying all elements.

     Note: will not terminate for infinite iterators.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, String, Col[String]]): Col[String]

112. #### def toArray: Array[A]

     [use case] Converts this traversable or iterator to an array.

     [use case]

     Converts this traversable or iterator to an array.

     Note: will not terminate for infinite iterators.

     returns

       an array containing all elements of this traversable or iterator. An `ClassTag` must be available for the element type of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: String](implicit arg0: ClassTag[B]): Array[B]

113. #### def toBuffer[B >: String]: Buffer[B]

     Uses the contents of this traversable or iterator to create a new mutable buffer.

     Uses the contents of this traversable or iterator to create a new mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

114. #### def toIndexedSeq: collection.immutable.IndexedSeq[String]

     Converts this traversable or iterator to an indexed sequence.

     Converts this traversable or iterator to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

115. #### def toIterable: collection.Iterable[String]

     Converts this traversable or iterator to an iterable collection.

     Converts this traversable or iterator to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

116. #### def toIterator: collection.Iterator[String]

     Returns an Iterator over the elements in this traversable or iterator.

     Returns an Iterator over the elements in this traversable or iterator. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite iterators.

     returns

       an Iterator containing all elements of this traversable or iterator.

     Definition Classes
       Iterator → GenTraversableOnce

117. #### def toList: List[String]

     Converts this traversable or iterator to a list.

     Converts this traversable or iterator to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

118. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this traversable or iterator to a map.

     [use case]

     Converts this traversable or iterator to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite iterators.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[String, (T, U)]): Map[T, U]

119. #### def toSeq: collection.Seq[String]

     Converts this traversable or iterator to a sequence.

     Converts this traversable or iterator to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

120. #### def toSet[B >: String]: Set[B]

     Converts this traversable or iterator to a set.

     Converts this traversable or iterator to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

121. #### def toStream: collection.immutable.Stream[String]

     Converts this traversable or iterator to a stream.

     Converts this traversable or iterator to a stream.

     returns

       a stream containing all elements of this traversable or iterator.

     Definition Classes
       Iterator → GenTraversableOnce

122. #### def toString(): String

     The matched string; equivalent to `matched.toString`.

     The matched string; equivalent to `matched.toString`.

     returns

       a String representation of the object.

     Definition Classes
       MatchIterator → MatchData → Iterator → AnyRef → Any

123. #### def toTraversable: collection.Traversable[String]

     Converts this traversable or iterator to an unspecified Traversable.

     Converts this traversable or iterator to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite iterators.

     returns

       a Traversable containing all elements of this traversable or iterator.

     Definition Classes
       Iterator → TraversableOnce → GenTraversableOnce

124. #### def toVector: Vector[String]

     Converts this traversable or iterator to a Vector.

     Converts this traversable or iterator to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce

125. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

126. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

127. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

128. #### def withFilter(p: (String) ⇒ Boolean): collection.Iterator[String]

     Creates an iterator over all the elements of this iterator that satisfy the predicate `p`.

     Creates an iterator over all the elements of this iterator that satisfy the predicate `p`. The order of the elements is preserved.

     Note: `withFilter` is the same as `filter` on iterators. It exists so that for-expressions with filters work over iterators.

     p

       the predicate used to test values.

     returns

       an iterator which produces those values of this iterator which satisfy the predicate `p`.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

129. #### def zip[B](that: collection.Iterator[B]): collection.Iterator[(String, B)]

     Creates an iterator formed from this iterator and another iterator by combining corresponding values in pairs.

     Creates an iterator formed from this iterator and another iterator by combining corresponding values in pairs. If one of the two iterators is longer than the other, its remaining elements are ignored.

     that

       The iterator providing the second half of each result pair

     returns

       a new iterator containing pairs consisting of corresponding elements of this iterator and `that`. The number of elements returned by the new iterator is the minimum of the number of elements returned by this iterator and `that`.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, as well as the one passed as a parameter, and use only the iterator that was returned. Using the old iterators is undefined, subject to change, and may result in changes to the new iterator as well.

130. #### def zipAll[B](that: collection.Iterator[B], thisElem: String, thatElem: B): collection.Iterator[(String, B)]

     [use case] Creates an iterator formed from this iterator and another iterator by combining corresponding elements in pairs.

     [use case]

     Creates an iterator formed from this iterator and another iterator by combining corresponding elements in pairs. If one of the two iterators is shorter than the other, placeholder elements are used to extend the shorter iterator to the length of the longer.

     that

       iterator `that` may have a different length as the self iterator.

     thisElem

       element `thisElem` is used to fill up the resulting iterator if the self iterator is shorter than `that`

     thatElem

       element `thatElem` is used to fill up the resulting iterator if `that` is shorter than the self iterator

     returns

       a new iterator containing pairs consisting of corresponding values of this iterator and `that`. The length of the returned iterator is the maximum of the lengths of this iterator and `that`. If this iterator is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this iterator, `thatElem` values are used to pad the result.

     Definition Classes
       Iterator
     Full Signature

     #### def zipAll[B, A1 >: String, B1 >: B](that: collection.Iterator[B], thisElem: A1, thatElem: B1): collection.Iterator[(A1, B1)]

131. #### def zipWithIndex: collection.Iterator[(String, Int)]

     Creates an iterator that pairs each element produced by this iterator with its index, counting from 0.

     Creates an iterator that pairs each element produced by this iterator with its index, counting from 0.

     returns

       a new iterator containing pairs consisting of corresponding elements of this iterator and their indices.

     Definition Classes
       Iterator
     Note

       Reuse: After calling this method, one should discard the iterator it was called on, and use only the iterator that was returned. Using the old iterator is undefined, subject to change, and may result in changes to the new iterator as well.

132. #### def →[B](y: B): (MatchIterator, B)

     Implicit information
       This member is added by an implicit conversion from MatchIterator to ArrowAssoc[MatchIterator] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def filter(p: (String) ⇒ Boolean): collection.TraversableOnce[String]

   Implicit information
     This member is added by an implicit conversion from MatchIterator to MonadOps[String] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (matchIterator: MonadOps[String]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (String) ⇒ GenTraversableOnce[B]): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from MatchIterator to MonadOps[String] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (matchIterator: MonadOps[String]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (String) ⇒ B): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from MatchIterator to MonadOps[String] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (matchIterator: MonadOps[String]).map(f)

   Definition Classes
     MonadOps

4. #### def withFilter(p: (String) ⇒ Boolean): collection.Iterator[String]

   Implicit information
     This member is added by an implicit conversion from MatchIterator to MonadOps[String] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (matchIterator: MonadOps[String]).withFilter(p)

   Definition Classes
     MonadOps

### Inherited from MatchData

### Inherited from AbstractIterator[String]

### Inherited from collection.Iterator[String]

### Inherited from collection.TraversableOnce[String]

### Inherited from GenTraversableOnce[String]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion MonadOps from MatchIterator to MonadOps[String]

### Inherited by implicit conversion any2stringadd from MatchIterator to any2stringadd[MatchIterator]

### Inherited by implicit conversion StringFormat from MatchIterator to StringFormat[MatchIterator]

### Inherited by implicit conversion Ensuring from MatchIterator to Ensuring[MatchIterator]

### Inherited by implicit conversion ArrowAssoc from MatchIterator to ArrowAssoc[MatchIterator]

### Inherited by implicit conversion alternateImplicit from MatchIterator to ForceImplicitAmbiguity

### Ungrouped